# -*- encoding: utf-8 -*-
# stub: elasticsearch-model 0.1.9 ruby lib

Gem::Specification.new do |s|
  s.name = "elasticsearch-model".freeze
  s.version = "0.1.9"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Karel Minarik".freeze]
  s.date = "2016-05-05"
  s.description = "ActiveModel/Record integrations for Elasticsearch.".freeze
  s.email = ["karel.minarik@elasticsearch.org".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE.txt".freeze]
  s.files = [".gitignore".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "elasticsearch-model.gemspec".freeze, "examples/activerecord_article.rb".freeze, "examples/activerecord_associations.rb".freeze, "examples/activerecord_mapping_completion.rb".freeze, "examples/couchbase_article.rb".freeze, "examples/datamapper_article.rb".freeze, "examples/mongoid_article.rb".freeze, "examples/ohm_article.rb".freeze, "examples/riak_article.rb".freeze, "gemfiles/3.0.gemfile".freeze, "gemfiles/4.0.gemfile".freeze, "lib/elasticsearch/model.rb".freeze, "lib/elasticsearch/model/adapter.rb".freeze, "lib/elasticsearch/model/adapters/active_record.rb".freeze, "lib/elasticsearch/model/adapters/default.rb".freeze, "lib/elasticsearch/model/adapters/mongoid.rb".freeze, "lib/elasticsearch/model/adapters/multiple.rb".freeze, "lib/elasticsearch/model/callbacks.rb".freeze, "lib/elasticsearch/model/client.rb".freeze, "lib/elasticsearch/model/ext/active_record.rb".freeze, "lib/elasticsearch/model/importing.rb".freeze, "lib/elasticsearch/model/indexing.rb".freeze, "lib/elasticsearch/model/multimodel.rb".freeze, "lib/elasticsearch/model/naming.rb".freeze, "lib/elasticsearch/model/proxy.rb".freeze, "lib/elasticsearch/model/response.rb".freeze, "lib/elasticsearch/model/response/base.rb".freeze, "lib/elasticsearch/model/response/pagination.rb".freeze, "lib/elasticsearch/model/response/records.rb".freeze, "lib/elasticsearch/model/response/result.rb".freeze, "lib/elasticsearch/model/response/results.rb".freeze, "lib/elasticsearch/model/response/suggestions.rb".freeze, "lib/elasticsearch/model/searching.rb".freeze, "lib/elasticsearch/model/serializing.rb".freeze, "lib/elasticsearch/model/version.rb".freeze, "test/integration/active_record_associations_parent_child.rb".freeze, "test/integration/active_record_associations_test.rb".freeze, "test/integration/active_record_basic_test.rb".freeze, "test/integration/active_record_custom_serialization_test.rb".freeze, "test/integration/active_record_import_test.rb".freeze, "test/integration/active_record_namespaced_model_test.rb".freeze, "test/integration/active_record_pagination_test.rb".freeze, "test/integration/dynamic_index_name_test.rb".freeze, "test/integration/mongoid_basic_test.rb".freeze, "test/integration/multiple_models_test.rb".freeze, "test/support/model.json".freeze, "test/support/model.yml".freeze, "test/test_helper.rb".freeze, "test/unit/adapter_active_record_test.rb".freeze, "test/unit/adapter_default_test.rb".freeze, "test/unit/adapter_mongoid_test.rb".freeze, "test/unit/adapter_multiple_test.rb".freeze, "test/unit/adapter_test.rb".freeze, "test/unit/callbacks_test.rb".freeze, "test/unit/client_test.rb".freeze, "test/unit/importing_test.rb".freeze, "test/unit/indexing_test.rb".freeze, "test/unit/module_test.rb".freeze, "test/unit/multimodel_test.rb".freeze, "test/unit/naming_test.rb".freeze, "test/unit/proxy_test.rb".freeze, "test/unit/response_base_test.rb".freeze, "test/unit/response_pagination_kaminari_test.rb".freeze, "test/unit/response_pagination_will_paginate_test.rb".freeze, "test/unit/response_records_test.rb".freeze, "test/unit/response_result_test.rb".freeze, "test/unit/response_results_test.rb".freeze, "test/unit/response_test.rb".freeze, "test/unit/searching_search_request_test.rb".freeze, "test/unit/searching_test.rb".freeze, "test/unit/serializing_test.rb".freeze]
  s.homepage = "https://github.com/elasticsearch/elasticsearch-rails/".freeze
  s.licenses = ["Apache 2".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.0.6".freeze
  s.summary = "ActiveModel/Record integrations for Elasticsearch.".freeze
  s.test_files = ["test/integration/active_record_associations_parent_child.rb".freeze, "test/integration/active_record_associations_test.rb".freeze, "test/integration/active_record_basic_test.rb".freeze, "test/integration/active_record_custom_serialization_test.rb".freeze, "test/integration/active_record_import_test.rb".freeze, "test/integration/active_record_namespaced_model_test.rb".freeze, "test/integration/active_record_pagination_test.rb".freeze, "test/integration/dynamic_index_name_test.rb".freeze, "test/integration/mongoid_basic_test.rb".freeze, "test/integration/multiple_models_test.rb".freeze, "test/support/model.json".freeze, "test/support/model.yml".freeze, "test/test_helper.rb".freeze, "test/unit/adapter_active_record_test.rb".freeze, "test/unit/adapter_default_test.rb".freeze, "test/unit/adapter_mongoid_test.rb".freeze, "test/unit/adapter_multiple_test.rb".freeze, "test/unit/adapter_test.rb".freeze, "test/unit/callbacks_test.rb".freeze, "test/unit/client_test.rb".freeze, "test/unit/importing_test.rb".freeze, "test/unit/indexing_test.rb".freeze, "test/unit/module_test.rb".freeze, "test/unit/multimodel_test.rb".freeze, "test/unit/naming_test.rb".freeze, "test/unit/proxy_test.rb".freeze, "test/unit/response_base_test.rb".freeze, "test/unit/response_pagination_kaminari_test.rb".freeze, "test/unit/response_pagination_will_paginate_test.rb".freeze, "test/unit/response_records_test.rb".freeze, "test/unit/response_result_test.rb".freeze, "test/unit/response_results_test.rb".freeze, "test/unit/response_test.rb".freeze, "test/unit/searching_search_request_test.rb".freeze, "test/unit/searching_test.rb".freeze, "test/unit/serializing_test.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<elasticsearch>.freeze, ["> 0.4"])
      s.add_runtime_dependency(%q<activesupport>.freeze, ["> 3"])
      s.add_runtime_dependency(%q<hashie>.freeze, [">= 0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_development_dependency(%q<rake>.freeze, ["< 11.0"])
      s.add_development_dependency(%q<elasticsearch-extensions>.freeze, [">= 0"])
      s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
      s.add_development_dependency(%q<activemodel>.freeze, ["> 3.0"])
      s.add_development_dependency(%q<oj>.freeze, [">= 0"])
      s.add_development_dependency(%q<kaminari>.freeze, [">= 0"])
      s.add_development_dependency(%q<will_paginate>.freeze, [">= 0"])
      s.add_development_dependency(%q<minitest>.freeze, ["~> 4.2"])
      s.add_development_dependency(%q<shoulda-context>.freeze, [">= 0"])
      s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
      s.add_development_dependency(%q<turn>.freeze, [">= 0"])
      s.add_development_dependency(%q<yard>.freeze, [">= 0"])
      s.add_development_dependency(%q<ruby-prof>.freeze, [">= 0"])
      s.add_development_dependency(%q<pry>.freeze, [">= 0"])
      s.add_development_dependency(%q<ci_reporter>.freeze, ["~> 1.9"])
      s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_development_dependency(%q<cane>.freeze, [">= 0"])
      s.add_development_dependency(%q<require-prof>.freeze, [">= 0"])
    else
      s.add_dependency(%q<elasticsearch>.freeze, ["> 0.4"])
      s.add_dependency(%q<activesupport>.freeze, ["> 3"])
      s.add_dependency(%q<hashie>.freeze, [">= 0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_dependency(%q<rake>.freeze, ["< 11.0"])
      s.add_dependency(%q<elasticsearch-extensions>.freeze, [">= 0"])
      s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
      s.add_dependency(%q<activemodel>.freeze, ["> 3.0"])
      s.add_dependency(%q<oj>.freeze, [">= 0"])
      s.add_dependency(%q<kaminari>.freeze, [">= 0"])
      s.add_dependency(%q<will_paginate>.freeze, [">= 0"])
      s.add_dependency(%q<minitest>.freeze, ["~> 4.2"])
      s.add_dependency(%q<shoulda-context>.freeze, [">= 0"])
      s.add_dependency(%q<mocha>.freeze, [">= 0"])
      s.add_dependency(%q<turn>.freeze, [">= 0"])
      s.add_dependency(%q<yard>.freeze, [">= 0"])
      s.add_dependency(%q<ruby-prof>.freeze, [">= 0"])
      s.add_dependency(%q<pry>.freeze, [">= 0"])
      s.add_dependency(%q<ci_reporter>.freeze, ["~> 1.9"])
      s.add_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_dependency(%q<cane>.freeze, [">= 0"])
      s.add_dependency(%q<require-prof>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<elasticsearch>.freeze, ["> 0.4"])
    s.add_dependency(%q<activesupport>.freeze, ["> 3"])
    s.add_dependency(%q<hashie>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, ["< 11.0"])
    s.add_dependency(%q<elasticsearch-extensions>.freeze, [">= 0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_dependency(%q<activemodel>.freeze, ["> 3.0"])
    s.add_dependency(%q<oj>.freeze, [">= 0"])
    s.add_dependency(%q<kaminari>.freeze, [">= 0"])
    s.add_dependency(%q<will_paginate>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 4.2"])
    s.add_dependency(%q<shoulda-context>.freeze, [">= 0"])
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<turn>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<ruby-prof>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<ci_reporter>.freeze, ["~> 1.9"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<cane>.freeze, [">= 0"])
    s.add_dependency(%q<require-prof>.freeze, [">= 0"])
  end
end

